<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button type="button" (click)="exportExcel()" class="btn btn-success ml-1" [disabled]="dataGrid.length == 0">
    <i class="fa fa-file-excel mr-2"></i>Excel
  </button>
  <button type="button" (click)="exportPdf()" class="btn btn-danger ml-1" [disabled]="dataGrid.length == 0">
    <i class="fa fa-file-pdf mr-2"></i>PDF
  </button>
</app-page-title>

<div class="main-card mb-3 card">
  <div class="card-body">

      <div class="row">
        <div class="form-group col-12 col-sm-3 col-md-3 col-lg-3 col-xl-3">
          <label class="w-100">Fecha:</label>
          <kendo-datepicker  [(ngModel)]="Fecha" class="w-100" [format]="formatKendo" disabled="true">
          </kendo-datepicker>
        </div>
      </div>


    <div class="divider"></div>

    <kendo-grid [kendoGridBinding]="dataGrid"
              *ngIf="!loading"
              [selectable]="true"
              [filter]="filter"
              [filterable]="true"
              [navigable]="true"
              [reorderable]="true"
              [resizable]="true"
              [sortable]="true"
              [pageSize]="pageSize"
              [skip]="skip"
              [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}"
              style="height: 65vh;"
              class="mt-1">
    <div *ngIf="dataGrid.length !== 0">
      <kendo-grid-column field="Nombre" title="Nombre" width="220">
      </kendo-grid-column>
      <kendo-grid-column field="Cuarto" title="Cuarto" width="110">
      </kendo-grid-column>
      <kendo-grid-column field="NoFolio" title="# Folio" width="110">
      </kendo-grid-column>
      <kendo-grid-column field="EntradaSalidaNoches" title="Ent - Sal / Noches" width="160">
      </kendo-grid-column>
      <kendo-grid-column field="TipoHuesped" title="T. Huésped" width="80">
      </kendo-grid-column>
      <kendo-grid-column field="Adultos" title="Ad" width="80">
      </kendo-grid-column>
      <kendo-grid-column field="Juniors" title="Jun" width="80">
      </kendo-grid-column>
      <kendo-grid-column field="Menores" title="Men" width="80">
      </kendo-grid-column>
      <kendo-grid-column field="MenorCC" title="MenC" width="80">
      </kendo-grid-column>
      <kendo-grid-column field="Personas" title="Pers" width="80">
      </kendo-grid-column>
      <kendo-grid-column field="Brazalete" title="Braz" width="80">
      </kendo-grid-column>
      <kendo-grid-column field="DifBrazaletes" title="Difer" width="120">
      </kendo-grid-column>
      <kendo-grid-column field="BrazaletesIngresados" title="Brazaletes Ingresados" width="160">
      </kendo-grid-column>
    </div>
    <ng-template kendoGridNoRecordsTemplate>
      {{ noRecords }}
    </ng-template>
  </kendo-grid>

</div>
<app-loading *ngIf="loading"></app-loading>
</div>


